﻿using e_commerceProject.Models;

namespace e_commerceProject.Services.UserService
{
    public interface IUserService
    {
        Task<List<UserModel>> GetAllUsers();

        Task<UserModel?> GetSingleUser(int id);
        Task<UserModel?> GetSingleUserByUsername(string username);
        Task<UserModel> CreateUser(UserRegisterDTO user);

        Task<string> GetMyNameAsync();

    }
}
