﻿using Microsoft.AspNetCore.Identity.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore;

namespace e_commerceProject.Models
{
    public class ApplicationDbContext : DbContext
    {
        public ApplicationDbContext() { }
        public ApplicationDbContext(DbContextOptions options)
            : base(options) { }

        public DbSet<UserModel> Users { get; set; }
        public DbSet<ProductModel> Product { get; set; }
        public DbSet<OrderModel> Orders { get; set; }
        public DbSet<OrderStatus> OrderStatus { get; set; }
        public DbSet<OrderDetail> OrderDetails { get; set; }
       // public DbSet<OrderOrderDetail> OrderOrderDetails { get; set; }
        
        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            /*modelBuilder.Entity<OrderOrderDetail>()
        .HasKey(o => new { o.OrderId, o.OrderDetailId });

            modelBuilder.Entity<OrderOrderDetail>()
                .HasOne(o => o.Order)
                .WithMany(o => o.OrderOrderDetails)
                .HasForeignKey(o => o.OrderId);

            modelBuilder.Entity<OrderOrderDetail>()
                .HasOne(o => o.OrderDetail)
                .WithMany(od => od.OrderOrderDetails)
                .HasForeignKey(o => o.OrderDetailId);
            */
        }

    }
}
