﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace e_commerceProject.Models
{
    public class OrderModel
    {
        [Key]
        public int? Id { get; set; }
        public UserModel User { get; set; }
        public int TotalCost { get; set; }
        public OrderStatus OrderStatus { get; set; }

        public List<OrderDetail> OrderDetails { get; set; }
    }
}
