﻿using e_commerceProject.Models;

namespace e_commerceProject.Services.ProductService
{
    public interface IProductService
    {
        Task<List<ProductModel>> GetAllProducts();

        Task<ProductModel?> GetSingleProduct(int id);

        Task<List<ProductModel>> GetAllProductsWithIds(List<int> ids);
        Task<List<ProductModel>> AddProduct(ProductModel productDto);

        Task<List<ProductModel>?> UpdateProduct(int id, ProductModel request);

        Task<List<ProductModel>?> DeleteProduct(int id);
        Task<List<ProductModel>?> UpdateProducts(List<ProductModel> updatedProducts);
    }
}
